### 3.33 update

This command writes the current values of the fit parameters into the given file, formatted as an initial-value file (as described in the fitsection). This is useful for saving the current values for later use or for restarting a converged or stopped fit.

Syntax:

          update <filename> {<filename>}

If a second filename is supplied, the updated values are written to this file, and the original parameter file is left unmodified.

Otherwise, if the file already exists, ‘gnuplot‘ first renames it by appending ‘.old‘ and then opens a new file. That is, "‘update ’fred’‘" behaves the same as "‘!rename fred fred.old; update ’fred.old’ ’fred’‘". [On DOS and other systems that use the twelve-character "filename.ext" naming convention, "ext" will be "‘old‘" and "filename" will be related (hopefully recognizably) to the initial name. Renaming is not done at all on VMS systems, since they use file-versioning.]

Please see fit for more information.